
public class Class348 {

   int anInt4446;
   long aLong4447;


   final int method6346(int var1) {
      return (int)(this.aLong4447 >> Class347.anInt4441 * var1) & 15;
   }

   Class348(Class347[] var1) {
      for(int var2 = 0; var2 < var1.length; ++var2) {
         this.method6349(var1[var2]);
      }

   }

   public final Class347 method6347(int var1) {
      return Class347.method6343(this.method6346(var1));
   }

   Class348(Class347 var1) {
      this.aLong4447 = (long)var1.anInt4442;
      this.anInt4446 = 1;
   }

   public final Class347 method6348(int var1) {
      return Class347.method6343(this.method6346(var1));
   }

   final void method6349(Class347 var1) {
      this.aLong4447 |= (long)(var1.anInt4442 << Class347.anInt4441 * this.anInt4446++);
   }

   public final int method6350() {
      return this.anInt4446;
   }

   final int method6351(int var1) {
      return (int)(this.aLong4447 >> Class347.anInt4441 * var1) & 15;
   }

   final void method6352(Class347 var1) {
      this.aLong4447 |= (long)(var1.anInt4442 << Class347.anInt4441 * this.anInt4446++);
   }

   final void method6353(Class347 var1) {
      this.aLong4447 |= (long)(var1.anInt4442 << Class347.anInt4441 * this.anInt4446++);
   }

   final void method6354(Class347 var1) {
      this.aLong4447 |= (long)(var1.anInt4442 << Class347.anInt4441 * this.anInt4446++);
   }
}
